
      ---------------------------------------------------------------
      ---------------------------------------------------------------
             A      RRRR     I  TTTTTTTTT  V       V  EEEEEE
            A A     R   R    I      T       V     V   E     
           A   A    RRRR     I      T        V   V    EEE   
          AAAAAAA   R   R    I      T         V V     E     
         A       A  R    R   I      T          V      EEEEEE
      ---------------------------------------------------------------
      ---------------------------------------------------------------



                           USER'S GUIDE (Digital Alpha AXP 
                                         Open VMS Version)

                           Le Mans, first version: 1984
                           Last update: December 1994


                           A. Le Bail
                           Laboratoire des Fluorures
                           URA CNRS 449
                           Universite du Maine
                           Faculte des Sciences
                           72017 Le Mans Cedex
                           FRANCE 

                           E-mail  armel@one.univ-lemans.fr
   -----------------------------------------------------------------
   -----------------------------------------------------------------


                         SHORT INTRODUCTION:


                              ARITVE is
   a program for modelling amorphous structures by a Rietveld-type
   refinement of the atomic coordinates and cell parameters of a 
   starting crystalline model. The data fitted are the S(2t) 
   interference functions (see A-2-3). Up to three S functions can
   be simulated simultaneously, either neutron or X-ray data or both
   together with different wavelengths. The imaginary part of the
   X-ray diffusion factors is correctly treated (I hope). A non-zero
   S(0) cannot be reproduced...
   From the crystalline model, a powder diffraction pattern is
   generated by the summation of all contributing reflections (hkl)
   with a Gaussian profile shape. The FWHM (Full Width at Half Maximum)
   angular dependence may follow a microstrain-type description 
   (variation as tan(theta)), but the instrumental resolution and 
   eventually a size effect are simply taken into account by a 
   Cagliotti-type expression.
   Not every model will give a "good" fit by using this method. Only
   "good" model(s) will give "good" fit(s). An eventually "good" model
   may be soon detected : low Rp (Reliability on profile, according to
   the Rietveld original definition) is obtained BEFORE refinement...
   It is recommended not to try models inconsistent with already known
   structural aspects (distances, coordinations, density...).

   ARITVE can only improve (by refinement) a yet "good" model. 

   Test files are provided that correspond to the fit of glassy SiO2
   neutron and X-ray data published in :
   "Modelling the silica glass structure by the Rietveld method,"
   A. Le Bail, J. Non-Cryst. Solids, in press (1995).
   However, the fit does not correspond to the final result in the
   P212121 space group but to an intermediate result with higher
   symmetry (P213). 

                            ARITVE is not
   a convivial program easy to manipulate. Do not expect to get a
   result before some weeks on your own problem although you may
   install and apply the program on the test data in a few days.

   Some french text may have been forgotten somewhere. This package
   has not been extensively tested by many users, bugs are possible.
   The text quality in english is low (really).

   -----------------------------------------------------------------
   -----------------------------------------------------------------

                              CONTENT

 This guide is divided into six parts from A- to F- plus one ANNEXE
     at the end explaining how to install the programs. Eventually,
     you may start by the end.


  A- How to run the programs: definitions of files and parameters
    A-1- STEP ONE: generation of the .hkl file
      A-1-1 You must prepare a file xxxxx.dat for the ALAZ program
            like the ACAR.DAT test file:
      A-1-2 Now you have to run the programs ALAZ and APURIT:
    A-2- STEP TWO: preparation before refinement
      A-2-1 The APCAR.HKL file is simply created from the above h,k,l,
             multiplicity file ACAR.HKL by:
      A-2-2 The APCAR.DAT file is the following:
      A-2-3 TWO *.NOR files are included in the data set for testing:
      A-2-4 How to run APREP
    A-3- STEP THREE: refinement
  
  B- Summary of the sequence of executions

  C- Strategy
   C-1- The model
   C-2- An order to respect for parameter refinement

  D- What can be expected from ARITVE

  E- How ARITVE could be eventually improved

  F- Final recommendations

            BIBLIOGRAPHY - REFERENCES
            LIST OF CAUSES OF MAJOR PROBLEMS:

            ANNEXE
   Explanation about how to install all progams is given in annexe,
   at the end of this guide.

   -----------------------------------------------------------------
   -----------------------------------------------------------------

   A- How to run the programs: definitions of files and parameters

      Explanations are given with the example of the test files:
       ACAR.DAT       data file for hkl generation
       APCAR.DAT      data file for preparation before refinement
       ASIO2N.NOR     neutron interference function of SiO2
       ASIO2X.NOR     X-ray interference function of SiO2
       ARCAR.DAT      data file for structure refinement

       The data included in the .NOR files are from:
         J.H. KONNERT & J. KARLE, Acta Cryst. A29, 702 (1973)
              for X-rays
       and P.A.V. JOHNSON, A.C. WRIGHT & R.N. SINCLAIR, J. 
           Non-Cryst. Solids, 58, 109 (1983).
              for neutrons

       The starting model is that of the Carnegieite structure:
          F.W. BARTH & E. POSNJAK, Z. fur Kristallogr. 8, 376-385 (1932).
       But the starting coordinates and cell parameters are from
       the (may be false) description of a high-cristoballite form
       with the carnegieite model:
          T.F.W BARTH, American Journal of Science, Serie 5,
                        23, 350-356 (1932).
       (see also Wyckoff, Crystal Structures, Volume I).

      These files will be used with others created at different
      stages by the programs:
       ALAZ       first part of hkl generation
       APURIT     second part of hkl generation
       APREP      stage of preparation before refinement
       ARITVE     refinement of the model

     Once the interference functions have been recorded and the
      starting crystalline model chosen, three steps are necessary:

   A-1- STEP ONE: generation of the .hkl file
   A-1-1 You must prepare a file xxxxx.dat for the ALAZ program like
         the ACAR.DAT test file:

  TITL     IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213
  CONDIT        0.500   0.0 56.0
  CELL         7.16
  SPCGRP P 21 3
  ATOM   MN   10.1740  0.1760  0.1759  0.73
  END
  FINISH

 ALAZ is a modified LAZY program (J. Appl. Crystallogr. 10, 73-74,
      1977) well known for generation of theoretical powder patterns.
      All data in ACAR.DAT are formatted. There is no place to
      include here the whole LAZY-PULVERIX user'guide.

      
      The Mn atom is there as a dummy one, USELESS.
      I have simply not found in a reasonable time the way to suppress
      the need of an atom there !! The LAZY-PULVERIX program structure
      is not always easy to understand, try to do it...
      However: the coordinates of this dummy atom should not correspond
      to a special position...
       

THE FOLLOWING IS REPRODUCED WITHOUT PERMISSION FROM THE ORIGINAL 
LAZY-PULVERIX DESCRIPTION (PUBLIC DOMAIN)


 A U T H O R S                                                       
                                                                     
        KLAUS YVON, WOLFGANG JEITSCHKO  AND  ERWIN PARTHE            
                              J.APPL.CRYST. (1977), 10, P 73-74 
                                                                     
 C A R D  SUMMARY                                                    
                                                           
 * T I T L  CARD   *       TITL                                   
   FORMAT(A2,A3,1X,17A4)                                             
   COLS                                                              
   1- 5  TITL      PUNCH CARD LABEL *TITL*                          
   7-74  COMPND    ANY ALPHANUMERIC INFORMATION  (FOR INSTANCE THE   
                   NAME OF THE SUBSTANCE)                            
                                                                     
 * C O N D I T  CARD *       EXPERIMENTAL CONDITIONS                 
   FORMAT(3A2,4X,A4,F6.0,2F5.0,1X,A1,I2,A2,1X,A1)                    
   COLS                                                              
   1- 6  CONDIT    PUNCH CARD LABEL  *CONDIT*                        
  15-20  WL        WAVELENGTH IN ANGSTROM                            
  21-25  TL        LOWER THETA -LIMIT OF CALCULATION                 
  26-30  TH        UPPER THETA -LIMIT OF CALCULATION                 
                                                                     
 * C E L L  CARD     *       LATTICE CONSTANTS                       
   FORMAT(3A2,7X,3F8.0,3F9.0)                                        
   COLS                                                              
   1- 4  CELL      PUNCH CARD LABEL *CELL*                           
  14-21  A         LATTICE PARAMETERS IN ANGSTROM AND DEGREES        
  22-29  B                   CUBIC        OMIT B,C,ALPHA,BETA,GAMMA  
  30-37  C                   HEXAGONAL    OMIT B,ALPHA,BETA,         
                                                AND SET GAMMA=120.   
                             RHOMBOHEDRAL SEE NOTE BELOW             
  38-46  ALPHA               TETRAGONAL   OMIT B,ALPHA,BETA,GAMMA    
  47-55  BETA                ORTHORHOMBIC OMIT ALPHA,BETA,GAMMA      
  56-64  GAMMA               MONOCLINIC   OMIT ALPHA,GAMMA           
          W A R N I N G  THE PRESCRIPTIONS FOR OMITTING REDUNDANT    
                    PARAMETERS MAY NOT BE COMPATIBLE WITH THE X-RAY  
                    SYSTEM.                                          
          N O T E   RHOMBOHEDRAL SHOULD BE CALCULATED WITH HEXAGONAL 
                    AXES. IF RHOMBOHEDRAL AXES ARE DESIRED THE STRUC-
                    TURE MUST BE DESCRIBED IN THE TRICLINIC SYSTEM.  
                                                                     
 * S P C G R P  CARD *       SPACE GROUP                             
   FORMAT(3A2,35A1)                                                  
   COLS                                                              
   1- 6  SPCGRP    PUNCH CARD LABEL *SPCGRP*                         
   8-17  IPOS      HERMANN MAUGUIN SYMBOL FOR THE SPACE GROUP.       
                   ADJUST TO THE LEFT OF THE FIELD                   
                                                                     
                             RULES FOR CODING                        
                                                                     
                             SYMMETRY OPERATORS ARE SEPARATED BY A   
                                 SLASH OR BY A BLANK.                
                             THE BAR OPERATION IS CODED AS MINUS *-* 
                             SCREW AXES ARE GIVEN BY TWO INTEGERS    
                                 THAT ARE NOT SEPARATED BY A BLANK.  
                             EXAMPLES                                
                               P B C N, P 21/C, P -3                 
                                                                     
                             THE LIST OF ALLOWED SYMBOLS IS GIVEN AT 
                             THE END OF THIS DESCRIPTION.            
    W A R N I N G            FOR ALL OTHER SYMBOLS THE PROGRAMME     
                             MAY GENERATE WRONG EQUIPOINTS WITHOUT   
                             ERROR MESSAGES.                         
                             FOR NON STANDARD SPACE GROUP SETTINGS   
                             SYMTRY- AND LATICE- CARDS MUST BE USED. 
    N O T E S                                                        
     FOR CENTROSYMMETRIC GROUPS, THE PROGRAMME ASSUMES THE SETTING   
     HAVING THE CENTRE AT THE ORIGIN.                                
     FOR R-SPACE GROUPS THE HEXAGONAL SETTING IS ASSUMED.            
     R-SPACE GROUPS WITH  RHOMBOHEDRAL AXES MUST BE SIMULATED USING  
     LATICE- AND SYMTRY-CARDS CORRESPONDING TO A TRICLINIC           
     DESCRIPTION.                                                    
                                                                     
 * A T O M  CARD     *       ATOM IDENTIFIER AND COORDINATES         
                             OF ONE DUMMY ATOM 
                             UNUSED IN FACT
                             SHOULD NOT BE ON A SPECIAL POSITION...
  FORMAT(3A2,1X,A4,A2,3F8.0,F6.0,F5.0)                               
   COLS                                                              
   1- 4  ATOM      PUNCH CARD LABEL  *ATOM*                          
   8-11  ELEMT     SYMBOL OF ELEMENT AND IONISATION STATE            
                             ADJUST TO THE LEFT OF THE FIELD.        
                             EXAMPLES                                
                                 CA   SYMBOL FOR CALCIUM(NEUTRAL)    
  12-13  IDE      SEQUENCE NUMBER OR ATOM LABEL. (MAY BE LEFT BLANK) 
                             IT IS CONVENIENT TO NUMBER OR LABEL     
                             ATOMS OF THE SAME TYPE.                 
                                                                     
  14-21  X        X COORDINATE                                       
  22-29  Y        Y COORDINATE                                       
  30-37  Z        Z COORDINATE                                       
                                                                     
                                                                     
 * E N D  CARD       *       TERMINATES EACH SET OF DATA CARDS       
   COLS                                                              
   1- 3  END       PUNCH CARD LABEL *END*                            
                                                                     
                                                                     
                                                                     
 * F I N I S H CARD  *       TERMINATES THE RUN                      
   COLS                                                              
   1- 6  FINISH    PUNCH CARD LABEL *FINISH*                         
                                                                     
                                                                     
                                                                     
                                                                     
 S P A C E  G R O U P  SYMBOLS  (VARIABLE *IPOS* ON SPCGRP- CARD)    
                                                                     
                                                                     
    DO  N O T INCLUDE THE STAR  PRECEEDING SOME OF THE SYMBOLS.      
    THE STAR INDICATES CENTROSYMMETRIC SPACE GROUPS WHICH HAVE       
    BEEN DESCRIBED WITH SEVERAL SETTINGS. THE PROGRAMME GENERATES    
    ONLY THE SETTING WITH THE CENTRE OF SYMMETRY AT THE ORIGIN OF    
    THE UNIT CELL.                                                   
                                                                     
                                                                     
   W A R N I N G     A SYMBOL THAT DOES NOT FIGURE IN THIS LIST      
                       MAY YIELD WRONG EQUIPOINTS.                   
                                                                     
   TRICLINIC                                                         
    P 1          P -1                                                
                                                                     
                                                                     
   MONOCLINIC                                                        
    P 2          P 21         C 2          P M          P C          
    C M          C C          P 2/M        P 21/M       C 2/M        
    P 2/C        P 21/C       C 2/C                                  
                                                                     
    THE POINT POSITIONS GENERATED FROM THESE SYMBOLS CORRESPOND TO   
    THE MONOCLINIC SETTING WITH B AS UNIQUE AXIS (ALPHA=GAMMA=90.)   
                                                                     
   ORTHORHOMBIC                                                      
    P 2 2 2      P 2 2 21     P 21 21 2    P 21 21 21   C 2 2 21     
    C 2 2 2      F 2 2 2      I 2 2 2      I 21 21 21   P M M 2      
    P M C 21     P C C 2      P M A 2      P C A 21     P N C 2      
    P M N 21     P B A 2      P N A 21     P N N 2      C M M 2      
    C M C 21     C C C 2      A M M 2      A B M 2      A M A 2      
    A B A 2      F M M 2      F D D 2      I M M 2      I B A 2      
    I M A 2      P M M M     *P N N N      P C C M     *P B A N      
    P M M A      P N N A      P M N A      P C C A      P B A M      
    P C C N      P B C M      P N N M     *P M M N      P B C N      
    P B C A      P N M A      C M C M      C M C A      C M M M      
    C C C M      C M M A     *C C C A      F M M M     *F D D D      
    I M M M      I B A M      I B C A      I M M A                   
                                                                     
                                                                     
   TETRAGONAL                                                        
    P 4          P 41         P 42         P 43         I 4          
    I 41         P -4         I -4         P 4/M        P 42/M       
   *P 4/N       *P 42/N       I 4/M       *I 41/A       P 4 2 2      
    P 4 21 2     P 41 2 2     P 41 21 2    P 42 2 2     P 42 21 2    
    P 43 2 2     P 43 21 2    I 4 2 2      I 41 2 2     P 4 M M      
    P 4 B M      P 42 C M     P 42 N M     P 4 C C      P 4 N C      
    P 42 M C     P 42 B C     I 4 M M      I 4 C M      I 41 M D     
    I 41 C D     P -4 2 M     P -4 2 C     P -4 21 M    P -4 21 C    
    I -4 M 2     P -4 C 2     P -4 B 2     P -4 N 2     P -4 M 2     
    I -4 C 2     P -4 2 M     I -4 2 D     P 4/M M M    P 4/M C C    
   *P 4/N B M   *P 4/N N C    P 4/M B M    P 4/M N C   *P 4/N M M    
   *P 4/N C C    P 42/M M C   P 42/M C M  *P 42/N B C  *P 42/N N M   
    P 42/M B C   P 42/M N M  *P 42/N M C  *P 42/N C M   I 4/M M M    
    I 4/M C M   *I 41/A M D  *I 41/A C D                             
                                                                     
                                                                     
   TRIGONAL                                                          
    P 3          P 31         P 32         R 3          P -3         
    R -3         P 3 1 2      P 3 2 1      P 31 1 2     P 31 2 1     
    P 32 1 2     P 32 2 1     R 3 2        P 3 M 1      P 3 1 M      
    P 3 C 1      P 3 1 C      R 3 M        R 3 C        P -3 1 M     
    P -3 1 C     P -3 M 1     P -3 C 1     R -3 M       R -3 C       
                                                                     
    ALL R-SPACE GROUPS REFER TO THE HEXAGONAL SETTING                
                                                                     
   HEXAGONAL                                                         
    P 6          P 61         P 65         P 62         P 64         
    P 63         P -6         P 6/M        P 63/M       P 6 2 2      
    P 61 2 2     P 65 2 2     P 62 2 2     P 64 2 2     P 63 2 2     
    P 6 M M      P 6 C C      P 63 C M     P 63 M C     P -6 M 2     
    P -6 C 2     P -6 2 M     P -6 2 C     P 6/M M M    P 6/M C C    
    P 63/M C M   P 63/M M C                                          
                                                                     
                                                                     
   CUBIC                                                             
    P 2 3        F 2 3        I 2 3        P 21 3       I 21 3       
    P M 3       *P N 3        F M 3       *F D 3        I M 3        
    P A 3        I A 3        P 4 3 2      P 42 3 2     F 4 3 2      
    F 41 3 2     I 4 3 2      P 43 3 2     P 41 3 2     I 41 3 2     
    P -4 3 M     F -4 3 M     I -4 3 M     P -4 3 N     F -4 3 C     
    I -4 3 D     P M 3 M     *P N 3 N      P M 3 N     *P N 3 M      
    F M 3 M      F M 3 C     *F D 3 M     *F D 3 C      I M 3 M      
    I A 3 D                                                          
                                                                     



   A-1-2 Now you have to run the programs ALAZ and APURIT:

   First you run ALAZ, the program prompt you in french for the data
       file. The .DAT extension needs not to be given: 

       R ALAZ
       Nom du fichier de donnees:ACAR

       The program creates three files:
              ACAR.IMP ASCII file to see if all is OK
              LAZY.LAZ   Binary file for the next step
              LAZY.JAZ   Binary file for the next step

  ACAR.IMP is given here:


  Date : 10-JAN-94     Heure : 08:28:51     START *** LAZY ***

  INPUT CARDS

  JOB     1 

  *.*********.*********.*********.*********.*********.*********.*********.*
  * TITL     IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213                  *
  * CONDIT        0.500   0.0 56.0                                        *
  * CELL         7.16                                                     *
  * SPCGRP P 21 3                                                         *
  * ATOM   MN   10.1740  0.1760  0.1759  0.73                             *
  * END                                                                   *
  *.*********.*********.*********.*********.*********.*********.*********.*

   Job   1   O K      Fin d execution : 08:28:54

  END OF  L A Z Y


   Then, you have to run the APURIT program. You have not any file to
   give because the program automatically calls the LAZY.LAZ and 
   LAZY.JAZ files. The program prompt you for "DELTA THETA ??". This is
   an incremental angular range used for the hkl generation. If there is
   less than 3 hkl in the first range examined, the program STOP. in such
   a case, try a larger DELTA THETA. With the test file, a DELTA THETA 
   less than 4 will be insufficient. The program informs you of the
   cumulative full number of hkl generated during the execution which
   could take a few seconds on a DEC 4000:

  R APURIT
   DELTA THETA ??  5.
   NBRE HKL =    6
   NBRE HKL =   29
   NBRE HKL =   95
   NBRE HKL =  199
   NBRE HKL =  369
   NBRE HKL =  596
   NBRE HKL =  884
   NBRE HKL = 1219
   NBRE HKL = 1619
   NBRE HKL = 2026
   NBRE HKL = 2484
  FORTRAN STOP


  WARNING, THE MAXIMUM POSSIBLE NUMBER OF GENERATED hkl IS 100000
           THIS COULD BE INSUFFICIENT IN CASE OF VERY LOW SYMMETRY
           AND/OR VERY LARGE CELL IF YOUR DATA GO UP TO LARGER Qmax
           THAN 15A**-1.........
           IN FACT, OTHERS PROGRAMS ARE LIMITED TO 30000 hkl 
           PER PATTERN.......... 


       The program APURIT creates two files:
              ACAR.IMP    ASCII file to see if all is OK
              ACAR.HKL    ASCII file containing the h,k,l
                            Miller indices and multiplicity
                            of the reflections.


   This second ACAR.IMP file is not the same as above. It allows to verify
   that all is OK: particularly, the consistency of the generated equivalent
   positions with the chosen space group must be checked. Also, please
   verify that your cell parameters are correct (frequent errors can
   occur due to the formatted data file...). The ACAR.IMP file is 
   given here:


  Date : 10-JAN-94     Heure : 08:39:46     *** PULVERIX ***


 INTENSITY CALCULATION FOR    IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213   

 CUBIC STRUCTURE
 A=  7.16000
 WL= 0.50000

 CALCULATION BETWEEN TL =  0.0 AND TH =   5.0 DEGREES THETA  

 DIFFRACTION GEOMETRY = DEBYE SCHERRER     

 SPACE GROUP     GIVEN ON SPCGRP-CARD  P 21 3                             

 EQUIVALENT POINT POSITIONS

    X   ,  Y   ,  Z          
  1/2 +X,1/2 -Y, -Z          
   -X   ,1/2 +Y,1/2 -Z       
  1/2 -X, -Y   ,1/2 +Z       
    Y   ,  Z   ,  X          
  1/2 -Y, -Z   ,1/2 +X      
  1/2 +Y,1/2 -Z, -X         
   -Y   ,1/2 +Z,1/2 -X       
    Z   ,  X   ,  Y          
   -Z   ,1/2 +X,1/2 -Y       
  1/2 -Z, -X   ,1/2 +Y       
  1/2 +Z,1/2 -X, -Y          

  LOW  LAUE SYMMETRY

  THERE IS NO SYMMETRY CENTRE AT THE ORIGIN

  PRIMITIVE    BRAVAIS LATTICE

  CONDITIONS LIMITING POSSIBLE REFLECTIONS

  HKL  NONE
  HOO WITH H=2N ONLY
  OKO WITH K=2N ONLY
  OOL WITH L=2N ONLY

  CALCULATION BETWEEN TL =  0.0 AND TH =  10.0 DEGREES THETA  

  DIFFRACTION GEOMETRY = DEBYE SCHERRER     

  CALCULATION BETWEEN TL =  0.0 AND TH =  15.0 DEGREES THETA  

        ...
        ...
        ...


  CALCULATION BETWEEN TL =  0.0 AND TH =  55.0 DEGREES THETA  

  DIFFRACTION GEOMETRY = DEBYE SCHERRER     


  Fin d execution : 08:39:58
   Date : 10-JAN-94     Heure : 08:39:58     *** PULVERIX ***
 
 
  B Y E  B Y E  L A Z Y  P U L V E R I X


    A part of the ACAR.HKL file containing the total number of hkl
    and the h,k,l, multiplicity (5 per line) is given now:
             

        2484
    1   1   0  12   1   1   1   8   2   0   0   6   1   2   0  12   2   1   0  12
    2   1   1  24   2   2   0  12   2   2   1  24   3   1   0  12   1   3   0  12
    3   1   1  24   2   2   2   8   2   3   0  12   3   2   0  12   2   3   1  24
    3   2   1  24   4   0   0   6   4   1   0  12   1   4   0  12   3   2   2  24
    4   1   1  24   3   3   0  12   3   3   1  24   2   4   0  12   4   2   0  12
    2   4   1  24   4   2   1  24   3   3   2  24   4   2   2  24   4   3   0  12
    3   4   0  12   5   1   0  12   1   5   0  12   4   3   1  24   3   4   1  24

.....................

   21   9   5  24   8  22   0  12  20  12   2  24  16  16   6  24  12  20   2  24
   22   8   0  12  23   4   2  24   4  23   2  24   8  22   1  24  22   7   4  24
    7  22   4  24  15  18   0  12  18  15   0  12  17  14   8  24  14  17   8  24
   17  16   2  24  18  12   9  24  12  18   9  24  20  10   7  24  10  20   7  24
   16  17   2  24  22   8   1  24  21  10   3  24  15  15  10  24  10  21   3  24
   18  15   1  24  15  18   1  24  17  15   6  24  15  17   6  24
 


     This file will be used at the next step

   A-2- STEP TWO: preparation before refinement

        Now you have to run the APREP program using the APCAR.DAT,
        *.NOR and APCAR.HKL files.

   A-2-1 The APCAR.HKL file is simply created from the above h,k,l,
        multiplicity file ACAR.HKL by:

             RENAME ACAR.HKL APCAR.HKL

        This is necessary because the program is built to call a .HKL
        file automatically by using the same generic name as that
        given for .DAT
        
    A-2-2 The APCAR.DAT file is the following:


 1.  !  IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213
 2.  !  2
 3.  !  7.16 7.16 7.16 90. 90. 90.
 4.  !  0.5000 2.5 300000.  5000. 100000.
 4.  !  0.7093 2.5 600000. 10000. 300000.
 5.  !  2
 5.1 !  0 440
 5.1 !  9200 17500
 5.  !  2
 5.1 !  0 600
 5.1 !  9200 17500
 6.  !  1 1.0
 6.  !  4 1.0


            DEFINITIONS:

  Line-type 1.    title card                      Format 20A4
  Line-type 2.    Npat  =   Number of patterns    Free Format
  Line-type 3.    a, b, c, alpha, beta, gamma     Free Format
                  = cell parameters in Angstroems and degrees
                  to be given once whatever the number of patterns
  Line-type 4.    Zero,  Lambda,  Wdt               Free Format
                      for pattern number npat
                  Zero  =  a constant error in 2-theta position
                           if any (the zeropoint in Rietveld
                           refinement), to be given in 2*theta
                           degrees*100. 
                  Lambda = the wavelength in Angstroems
                  Wdt    = a constant parameter used to define the
                           angular range in which any reflection
                           will contribute:
                              from pos-Wdt to pos+Wdt
                              or from 0 to pos+Wdt if pos-Wdt is
                               negative
                           where pos is the angular position of  
                           a given reflection.

          npat line 4. have to be given (npat=number of patterns)


              WARNING:  THE UNIT OF WDT IS IN 2*THETA DEGREES*100
                       In the test case each reflection will
                       contribute in a 2*Wdt=3000, i.e. 30 degrees
                       2*theta range.
                       This may seem enormous, however the
                       reflections are strongly broadened, thus it
                       is necessary to be sure that the intensity
                       drop to zero. Fortunately, the reflexions
                       are given Gaussian shape.

  Then, npat groups of lines 5, and eventually 5.1 have to be given

  Line-type 5.    Nex   = number of excluded zones       Free Format
                          for the nth pattern

  Line-type 5.1   ilow, ihigh                            Free Format
                        = the low and high limits
                          of the excluded zone
                          in degrees 2*theta*100
                  Nex lines 5.1 have to be given
                  If Nex=0 for the nth pattern, give no 5.1 line

  Then, npat groups of lines 6. have to be given

  Line-type 6.     Icode, Iscale                        Free Format
                   Icode = code for the nth interference
                           function-type:
                           neutrons: Icode = 1
                           X-rays  : Icode = 4
                   Iscale = a multiplicative factor 
                            used to eventually modify
                            the intensities of the nth
                            interference function.



        A-2-3 Three *.NOR files are included in the data set for testing:

       ASIO2N.NOR     neutron interference function of SiO2
       ASIO2X.NOR     X-ray interference function of SiO2

  WARNING: These "interference functions" are the so called

                                S(2t) 

                      i.e. the equivalent of

                                S(Q)

                  with a contant 2*theta step (the diffracted
                  intensity, properly corrected, divided by
                  <f**2>). Here, the test files are given at
                  an arbitrary scale (multiplied by an
                  arbitrary constant).


       ASIO2N.NOR   is given there, the first line must contain three
                   values (the fourth is facultative):

                   nbmes 2t Step           unformatted

                   nbmes     =   number of intensity data
                   2t        =   starting two theta angle
                   Step      =   constant step in two theta degrees

                   The fourth value here (320) is just for memory
                   that the full data set contains 320 points in fact.

                   Then the nbmes intensities are given (unformatted)      


       230  0.00  0.40  349
   0.00000E+00   0.65620E+03   0.68291E+03   0.73245E+03   0.80835E+03
   0.93140E+03   0.11210E+04   0.13651E+04   0.16390E+04   0.19135E+04
   ......
   0.57189E+04   0.57198E+04   0.57212E+04   0.57232E+04   0.57258E+04
   0.57290E+04   0.57327E+04   0.57370E+04   0.57418E+04   0.57474E+04
   0.57535E+04   0.57602E+04   0.57674E+04   0.57753E+04



  The same for ASIO2X.NOR (there is no fourth value however)


  230 0. 0.4
     0.     93.    232.    421.    639.    833.   1042.   1255.   1461.   1674.
  1890.   2106.   2321.   2558.   2800.   3054.   3368.   3760.   4287.   4959.
  5787.   6738.   7703.   8556.   9142.   9386.   9251.   8808.   8203.   7549.
   ......
  5195.   5195.   5202.   5215.   5230.   5254.   5296.   5350.   5401.   5469.
  5538.   5620.   5694.   5793.   5890.   5984.   6059.   6133.   6206.   6268.
  6335.   6398.   6457.   6500.   6542.   6566.   6578.   6589.   6596.   6583.


  A-2-4  How to run APREP

        The test case is considered here:

        R APREP       
        FICHIER H,K,L ET MULT. ?',$) APCAR
          NBRE DE REFLEXIONS:   2484
          NBRE DE REFLEXIONS?   2480
          NBRE MAX HKL(<12000)? 2200
          FICHIER INTENSITES NUMERO  1  ?  ASIO2N.NOR
          FICHIER INTENSITES NUMERO  2  ?  ASIO2X.NOR


        First, APREP prompt you for the generic name of your .dat and
        .hkl files  (here APCAR).
        Then APREP indicates the number of hkl in your .hkl file.
        Then APREP needs the number you want to use (generally the
             same, however, WARNINIG, it must be a multiple of 5.....
             SHOULD NOT BE LARGER THAN 30000            
        Then APREP ask you for a number max of hkl (<12000): it is
             in fact the max number of hkl admitted to overlap at
             any angle of your pattern.
        Then APREP needs the names of your interference function
             data files. Of course they must be given in an order
             consistent with the definitions in the APCAR.DAT file.


   APREP creates two files:
            APCAR.IMP  : ASCII file to see if all is OK
            APCAR.PRE  ; Binary file used in the next step

     A small part of the APCAR.IMP file is given here:



 0PREPARATION FOR
    IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213                         
  -----------------------------
  A=  7.1600      B=  7.1600      C=  7.1600
  ALPHA= 90.000   BETA= 90.000    GAMMA= 90.000
 0Wavelength(s)= 0.5000
  Base of Peak = 2.0*HW*    2.50
  HALFWIDTH PARAMETERS U,V,W *10000.      300000.0        5000.0      100000.0
 0Wavelength(s)= 0.7093
  Base of Peak = 2.0*HW*    2.50
  HALFWIDTH PARAMETERS U,V,W *10000.      600000.0       10000.0      300000.0
 0Excluded Regions=
  from     to
       0       440
    9200     17500
 0Excluded Regions=
  from     to
       0       600
    9200     17500
 0    0 REFLECTIONS REJECTED WITH SINE THETA GREATER THAN 1.0 FOR PATTERN     1
 0  882 REFLECTIONS REJECTED WITH SINE THETA GREATER THAN 1.0 FOR PATTERN     2
 0Diagram from     0 to  9160 in steps of 40 1/100ths degree
 0If IALFA = 1, angles are on input cards.
    Posn   I+B      B     I       W 
             0
             0
       (   8 Zeros)
             0
             0
     480  2968.  2968.   0.0842      1     10
     520  3686.  3686.   0.0678      1     11
     560  4804.  4804.   0.0520      1     11
     600  6347.  6347.   0.0394      1     12

  ........

    9000  5904.  5904.   0.0423   1103   2480
    9040  5849.  5849.   0.0427   1109   2480
    9080  5797.  5797.   0.0431   1121   2480
    9120  5747.  5747.   0.0435   1133   2480

             0
 0Diagram from     0 to  9160 in steps of 40 1/100ths degree
 0If IALFA = 1, angles are on input cards.
    Posn   I+B      B     I       W 
             0
             0
       (  12 Zeros)
             0
             0
     640  3368.  3368.   0.0742   2481   2494
     680  3760.  3760.   0.0665   2481   2494
     720  4287.  4287.   0.0583   2481   2496
     760  4959.  4959.   0.0504   2481   2496
     800  5787.  5787.   0.0432   2481   2496

   .........

    8880  6457.  6457.   0.0387   2801   4078
    8920  6500.  6500.   0.0385   2803   4078
    8960  6542.  6542.   0.0382   2810   4078
    9000  6566.  6566.   0.0381   2810   4078
    9040  6578.  6578.   0.0380   2813   4078
    9080  6589.  6589.   0.0379   2822   4078
    9120  6596.  6596.   0.0379   2825   4078

             0
  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



   A-3- STEP THREE: refinement
        This stage needs two files:
                                   ARCAR.DAT
                             and   ARCAR.PRE

       the ARITVE program is then started by

      R ARITVE
      ARCAR
 
              ARCAR.PRE IS AUTOMATICALLY CALLED BY ARITVE (BECAUSE
              OF THE SAME GENERIC NAME) 
              The .PRE file is obtained from the previous steps by:

                   RENAME APCAR.PRE ARCAR.PRE 

               The .DAT file must be prepared as follows:


    The test file ARCAR.DAT:

line  !  CONTAINT

 1.   !  IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213
 2.   !  90 2 13 1
 3.   !  SiO2-N
 3.   !  SiO2-X
 4.   !  1 4
 5.   !  1 11 4 2
 6.   !  0.5000 0.7093
 7.   !  0.5 0.8 0.8 0.05
 8.   !  1 0 0 0 -1 0 0 0 -1 0.5 0.5 0
 8.   !  -1 0 0 0 1 0 0 0 -1 0 0.5 0.5
 8.   !  -1 0 0 0 -1 0 0 0 1 0.5 0 0.5
 8.   !  0 1 0 0 0 1 1 0 0 0 0 0
 8.   !  0 -1 0 0 0 -1 1 0 0 0.5 0 0.5
 8.   !  0 1 0 0 0 -1 -1 0 0 0.5 0.5 0
 8.   !  0 -1 0 0 0 1 -1 0 0 0 0.5 0.5
 8.   !  0 0 1 1 0 0 0 1 0 0 0 0
 8.   !  0 0 -1 1 0 0 0 -1 0 0 0.5 0.5
 8.   !  0 0 -1 -1 0 0 0 1 0 0.5 0 0.5
 8.   !  0 0 1 -1 0 0 0 -1 0 0.5 0.5 0
 9.1  !  0.4149 0.5803
 9.1  !  0.0704 0.0060
 9.2  !  6.2915 2.4386 3.0353 32.3337 1.9891 0.6785 1.5410
          81.6937 1.1407 0.0817
 9.2  !  3.0485 13.2771 2.2868 5.7011 1.5463 0.3239 0.867
          32.9089 0.2508 0.0106
 10.1 !  SI1 
 10.2 !   1  0.25500  0.25500  0.25550  0.04000
 10.1 !  SI2 
 10.2 !   1 -0.00800 -0.00800 -0.00800  0.04000
 10.1 !  O1  
 10.2 !   2  0.12500  0.12500  0.12500  0.04000
 10.1 !  O2  
 10.2 !   2  0.66000  0.66000  0.06200  0.12000
 11.  !      60.97914    313235.4      5000.0    106958.6
 11.  !      48.11535    566242.9     10000.0    279894.0
 12.  !   7.16000     7.16000     7.16000    90.00000    90.00000    90.00000
 13.  !   81 81 81 0
 13.  !   91 91 91 0
 13.  !   101 101 101 0
 13.  !   111 121 131 0
 14.  !   11
 14.  !   21
 15.  !   31 0 41
 15.  !   51 0 61
 16.  !   71 71 71 0 0 0


               -----------------------------------------------
               | -------------------------------------------  |
               | |        DEFINITION OF THE PARAMETERS     |  |
               | -------------------------------------------  |
               ------------------------------------------------
   

  LINE  1 :   TEXT         --> TITLE                FORMAT 20A4
  ---------

  LINE  2 :   NCYCLE,NPAT,MAXS,LG                   FREE FORMAT
  ---------
          NCYCLE   -->      NUMBER OF REFINEMENT CYCLES
          NPAT     -->      NUMBER OF PATTERNS (MAXIMUM 3)
          MAXS     -->      NUMBER OF REFINED PARAMETERS
          LG       -->      CODE TO SEE EVENTUALLY Iobs AND Icalc
                            ON THE SCREEN: IF 0 --> YOU SEE THEM
                                           IF 1 --> YOU DO NOT
                            INTEREST :  ESTIMATE THE SCALE FACTOR
                                        WHEN THE REFINEMENT IS STARTING
                                        AND THE FWHM PARAMETERS

   LINE  3 :      PTEXT    -->  ONE TITLE FOR EACH PATTERN  FORMAT 4A4
   ---------
                   =====> NPAT LINES

   LINE  4 :      KXR(1)  KXR(2) KXR(NPAT)             FREE FORMAT
   --------- 
                   =====> NPAT VALUES ON ONE LINE

                   KXR -->  CODE FOR THE PATTERN TYPE:
                          1 :  NEUTRONS
                          4 :  X-RAYS

   LINE  5 : ICENTT,IRLL,NA,KL                        FREE FORMAT
   ---------
                 STRUCTURE INDICATORS 

              ICENTT --> CODE FOR CENTROSYMMETRY
                         IF 1 : ACENTRIC
                         IF 2 : CENTRIC
              IRLL   --> THE NUMBER OF SYMMETRY OPERATORS
                         FOR THE SPACE GROUP CHOSEN, EXCLUDING
                         IDENTITY (X,Y,Z) AND OPERATIONS DUE TO 
                         THE SYMMETRY CENTER (IF ANY) AND THOSE
                         DUE TRANSLATIONS IN CASE OF LATTICE
                         F AND I (BUT NOT C OR A OR B).
                         THE MAXIMUM VALUE FOR IRLL IS
                         THEREFORE 23.
              NA     --> THE NUMBER OF INDEPENDANT ATOMS CONTAINED 
                         IN THE ASYMMETRIC UNIT
              KL     --> THE NUMBER OF ATOMS HAVING DIFFERENT
                         DIFFUSION FACTOR, EITHER NEUTRONS OR X-RAYS
  
     LINE  6 :    DLABDA(1) .... DLABDA(NPAT)          FREE FORMAT
     ---------
                  WAVELENGTHS IN ANGSTROEMS FOR EACH PATTERN

                  NPAT VALUES ON ONE LINE
                               SI RAYONS X


     LINE  7 :     RELAXC,RELAXB,RELAXS,RELAXH  
     ---------
                   RELAXATION FACTORS APPLIED BY MULTIPLICATION
                   ON THE SHIFTS AFTER EACH REFINEMENT CYCLE

                RELAXC --> CONCERNS ATOMIC COORDINATES
                RELAXB --> UNUSED
                RELAXS --> CONCERNS SCALE FACTORS AND OCCUPANCY FACTORS
                RELAXH --> CONCERNS CELL PARAMETERS AND FWHM


    LINE  8. : SM1,SM2,SM3,SM4,SM5,SM6,SM7,SM8,SM9,T1,T2,T3
    ----------
                     FREE FORMAT

               IRLL LINES MUST BE GIVEN
                        (SEE LINE 5)

               SYMMETRY OPERATORS
               SM1 TO SM9 ARE ELEMENTS OF A 3*3 MATRIX
               DESCRIBING ROTATIONS OR REFLEXIONS OF THE SPACE
               GROUP , T1 UP TO  T3 ARE THE TRANSLATION COMPOSANTS
               ALONG THE CRYSTALLOGRAPHIC AXES, RESPECTIVELY A,B,C

               FOR AN ATOM IN POSITION X,Y,Z THE GENERATION OF
               EQUIVALENT ATOMS IS OBTAINED BY APPLYING:
              
               X'= SM1*X + SM2*Y + SM3*Z + T1
               Y'= SM4*X + SM5*Y + SM6*Z + T2
               Z'= SM7*X + SM8*Y + SM9*Z + T3

               FOR INSTANCE, A LINE SUCH THAT:
          1 0 0   0 -1 0   0 0 -1   0.5 0.5 0
               CORRESPONDS TO:
          1/2+X  1/2-Y -Z

    LINE  9.1 :  KL VALUES (SEE LINE 5) OF
    ----------          - FERMI LENGTHS - NEUTRON CASE
                 OR OF  - DELTA F"      - X-RAY CASE
                          (IMAGINARY DISPERSION CORRECTION)

                 FOR EACH PATTERN (NPAT LINES)

                   FREE FORMAT 

                 THE ORDER OF THE KL VALUES MUST BE CONSISTENT
                 WITH THAT GIVEN LATER

                 WHEN THE PATTERN IS A X-RAY PATTERN, A 9.2 LINE
                 MUST FOLLOW


    LINE  9.2 :  A1 B1 A2 B2 A3 B3 A4 B4 C DELTAF'       FREE FORMAT
    -----------
                 
                 9 COEFFICIENTS FOR ANALYTICAL APPROXIMATION TO THE X-RAY
                 SCATTERING FACTORS FOLLOWED BY THE REAL PART OF THE
                 DISPERSION CORRECTION
 
                  --------------------------------------------
                   LIGNES 10.1 AND 10.2  :: ATOMIC PARAMETERS 
                  --------------------------------------------
  
                   TO BE GIVEN -TIME (SEE LINE 5)

     LIGNE 10.1 :   IDENTIFICATION ASCII FOR THE N-IEME ATOM
     ------------   
                    FORMAT A4

     LIGNE 10.2 :   NTYP,X,Y,Z,NOCCUP
     ------------
                    FREE FORMAT

                    NTYP --> ORDER NUMBER OF THE NEUTRON DIFFUSION FACTOR
                             OR DELTA F" FACTOR GIVEN LINE 
                    X,Y,Z --> REDUCED ATOMIC COORDINATES
                    NOCCUP --> SITE OCCUPANCY
                               ALL VALUES CAN BE MULTIPLIED BY 
                               A CONSTANT IN ORDER ADAPT THE SCALE FACTOR...

     LIGNE 11. : SCALE U V W              FREE FORMAT
     -----------
             ===>  FOUR VALUES FOR EACH PATTERN

                SCALE --> SCALE FACTOR
                U     --> LINE-WIDTH FACTOR
                V     --> LINE-WIDTH FACTOR
                W     --> LINE-WIDTH FACTOR
 
            FWHM == U*Tg**2(theta) + V*Tg(theta) + W

     LINE  12. : A,B,C,ALPHA,BETA,GAMMA      FREE FORMAT
     -----------
                   DIRECT CELL PARAMETERS

     LINES 13 TO 16 : CODES TO REFINE OR NO THE PARAMETERS 
     ----------------------------------------------------
                  APPEARING IN THE SAME ORDER AS THE PARAMETERS LINES
                  10.2, 11 AND 12


                  THE KEY OF THESE CODES IS GIVEN HERE:

                  CODE = [ M * 10 + ABS(SM) ] * SIGN(SM)

                     WHERE : M --> M-IEME REFINED PARAMETER
                            SM --> MULTIPLYING FACTOR APPLIED TO THE SHIFT
                                   FOUND FOR THE M-IEME PARAMETER AT EACH
                                   REFINEMENT CYCLE
                 EXAMPLES :

                       IF  CODE = 101 
                                  10-IEME PARAMETER, THE SHIFT WILL
                                     BE MULTIPLIED BY +1
                       IF  CODE = 100.5
                                  10-IEME PARAMETER, THE SHIFT WILL
                                     BE MULTIPLIED BY +0.5
                       IF  CODE = 0
                                  THIS PARAMETER IS NOT REFINED
        
                IT IS POSSIBLE TO ASSOCIATE SOME PARAMETERS IN A SIMPLE 
                WAY:
                FOR INSTANCE         X, Y=1/2+X, Z
                THE CODES FOR X AND Y SHOULD BE THE SAME BECAUSE
                    THE SHIFTS ON X AND Y=1/2+X WILL BE THE SAME

                FOR INSTANCE         X, Y=-X, Z
                THE CODES FOR X AND Y COULD BE 101 AND -101
                                    

                OTHER EXAMPLE:       X, Y=2X, Z
                THE CODES FOR X AND Y COULD BE 100.5 AND 101.
                                       OR      101.  AND 102.
                       BECAUSE THE SHIFT ON Y IS TWICE THAT ON X
      

                THE ORDER FOR THE NUMBER OF THE PARAMETERS IS 
                UNIMPORTANT. iT IS JUST RECOMMENDED THAT THE MAXIMUM
                NUMBER IS EQUAL TO MAXS (LINE 2)


                FORMAT ALWAYS FREE FOR THE CODES


     LINE  13.  : FOUR CODES POUR X,Y,Z,NOCCUP           FREE FORMAT
     ----------
                  NA LINES TO BE GIVEN

     LINE  14. : ONE CODE FOR SCALE FACTOR               FREE FORMAT
     ----------                 
                  =====>  NPAT LINES

     LIGNE 15 : 6 CODES FOR THE CELL PARAMETERS          FREE FORMAT
     ----------

                  ============>>>>>>>> ATTENTION
                              THESE CODES APPLY TO A RECIPROC
                              METRIC TENSOR
                 THE CONSTRAINTS WHICH SHOULD BE APPLIED
                 ARE EXAMPLIFIED HERE:

     EXAMPLE OF CODES FOR CUBIC   : 11 11 11 0 0 0
                          TETRAG  : 11 11 21 0 0 0
            TRIGONAL OR   HEXAGON : 11 11 21 0 0 11   <----------------
                          ORTHOR  : 11 21 31 0 0 0
                          MONOCLI : 11 21 31 0 41 0
                          TRICLIN : 11 21 31 41 51 61
 
                      MONOCLINIC IS FOR beta DIFFERENT FROM 90 DEGREES


       THE RHOMBOHEDRAL CASE IS ALWAYS TO BE TREATED IN TRIGONAL SETTING
  _________________________________________________________________________
  _________________________________________________________________________
  _________________________________________________________________________
  _________________________________________________________________________

  OUTPUT FILES CREATED BY ARITVE:
                 ARCAR.IMP  :  results cycle after cycle
                 ARCAR.PAR  :  final new parameters
                               can be included in ARCAR.DAT
                               in place of the old ones
                 ARCAR.PR1  :  ASCII file containing
                               observed and calculated S(2t)
                               for the first pattern
                 ARCAR.PR2  :  ,, for the second pattern
                 ARCAR.LT4  :  binary file containing the same
                               information as the .PR1
                               and the .PR2 files



    Part of The ARCAR.IMP output file:


                       IF AMORPHOUS SiO2 WAS TYPE CARNEGIEITE P213                                   

  90 CYCLE(S) OF REFINEMENT OF  13 PARAMETER(S)   FOR 2 PATTERNS

 RELAXATION FACTORS FOR:
      ATOMIC PARAMETERS          0.50
          UNUSED                 0.80
      SCALE,OCCUPATION           0.80
      HALFWIDTHS,CELL            0.05

 ******************************
 *PATTERN 1  SiO2-N           *
 ******************************
   WAVELENGTH 0.50000

 ******************************
 *PATTERN 2  SiO2-X           *
 ******************************
   WAVELENGTH 0.70930
   NON CENTRO.,
+                                      AND THE EQUIVALENT POSITIONS ARE:
0POSITION  1             1.0   0.0   0.0   0.0   1.0   0.0   0.0   0.0   1.0   0.00000   0.00000   0.00000
0POSITION  2             1.0   0.0   0.0   0.0  -1.0   0.0   0.0   0.0  -1.0   0.50000   0.50000   0.00000
0POSITION  3            -1.0   0.0   0.0   0.0   1.0   0.0   0.0   0.0  -1.0   0.00000   0.50000   0.50000
0POSITION  4            -1.0   0.0   0.0   0.0  -1.0   0.0   0.0   0.0   1.0   0.50000   0.00000   0.50000
0POSITION  5             0.0   1.0   0.0   0.0   0.0   1.0   1.0   0.0   0.0   0.00000   0.00000   0.00000
0POSITION  6             0.0  -1.0   0.0   0.0   0.0  -1.0   1.0   0.0   0.0   0.50000   0.00000   0.50000
0POSITION  7             0.0   1.0   0.0   0.0   0.0  -1.0  -1.0   0.0   0.0   0.50000   0.50000   0.00000
0POSITION  8             0.0  -1.0   0.0   0.0   0.0   1.0  -1.0   0.0   0.0   0.00000   0.50000   0.50000
0POSITION  9             0.0   0.0   1.0   1.0   0.0   0.0   0.0   1.0   0.0   0.00000   0.00000   0.00000
0POSITION 10             0.0   0.0  -1.0   1.0   0.0   0.0   0.0  -1.0   0.0   0.00000   0.50000   0.50000
0POSITION 11             0.0   0.0  -1.0  -1.0   0.0   0.0   0.0   1.0   0.0   0.50000   0.00000   0.50000
0POSITION 12             0.0   0.0   1.0  -1.0   0.0   0.0   0.0  -1.0   0.0   0.50000   0.50000   0.00000
0  0.4149 = B(1);  0.5803 = B(2);
0  0.0704 = B(1);  0.0060 = B(2);
    6.291500  2.438600  3.035300 32.333698  1.989100  0.678500  1.541000 81.693703  1.140700  0.081700
    3.048500 13.277100  2.286800  5.701100  1.546300  0.323900  0.867000 32.908901  0.250800  0.010600

                                                    INITIAL PARAMETERS
 ATOM  NTYP      X         Y         Z         N

 SI1   1   0.25500   0.25500   0.25550   0.04000
 SI2   1  -0.00800  -0.00800  -0.00800   0.04000
 O1    2   0.12500   0.12500   0.12500   0.04000
 O2    2   0.66000   0.66000   0.06200   0.12000
0OVERALL SCALE FACTORS  60.9791412
   U V W     PARAM.  313235.4063   5000.0000 106958.6016
0OVERALL SCALE FACTORS  48.1153488
   U V W     PARAM.  566242.8750  10000.0000 279894.0000
 CELL CONSTANTS        0.0195063 0.0195063 0.0195063 0.0000000 0.0000000 0.0000000
                                                   CODING OF VARIABLES
 ATOM                        X         Y         Z         N
 SI1                       81.00     81.00     81.00      0.00
 SI2                       91.00     91.00     91.00      0.00
 O1                       101.00    101.00    101.00      0.00
 O2                       111.00    121.00    131.00      0.00
0OVERALL SCALE FACTORS     11.00
0OVERALL SCALE FACTORS     21.00
  U V W    PARAMETERS      31.00      0.00     41.00
  U V W    PARAMETERS      51.00      0.00     61.00
 CELL CONSTANTS            71.00     71.00     71.00      0.00      0.00      0.00
1                                        SHIFTS AND NEW PARAMETERS AFTER CYCLE 1
0ATOM      X        SHIFT    ESD       Y        SHIFT    ESD       Z        SHIFT    ESD       OCCUP    SHIFT    ESD

 SI1      0.25522  0.00022  0.00022   0.25522  0.00022  0.00022   0.25572  0.00022  0.00022   0.04000
 SI2     -0.00776  0.00024  0.00014  -0.00776  0.00024  0.00014  -0.00776  0.00024  0.00014   0.04000
 O1       0.12533  0.00033  0.00025   0.12533  0.00033  0.00025   0.12533  0.00033  0.00025   0.04000
 O2       0.66016  0.00016  0.00037   0.65969 -0.00031  0.00048   0.06207  0.00007  0.00017   0.12000




                                        ******************
                                        *   PATTERN  1   *
                                        *SiO2-N          *
                                        ******************

      SCALE    SHIFT    ESD             

         61.67587  0.69673  0.42189
0                UVW    PARAMETERS
           U         SHIFT     ESD     V         SHIFT     ESD     W         SHIFT     ESD
          351787.   38552.  136960.     5000.                     106292.    -667.    7119.




                                        ******************
                                        *   PATTERN  2   *
                                        *SiO2-X          *
                                        ******************

      SCALE    SHIFT    ESD             

         48.46439  0.34904  0.30812
0                UVW    PARAMETERS
           U         SHIFT     ESD     V         SHIFT     ESD     W         SHIFT     ESD
          593293.   27050.  202267.    10000.                     280832.     938.   20062.
0                                                     CELL PARAMETERS
           A           SHIFT       ESD          B           SHIFT       ESD          C           SHIFT       ESD

          0.01951226  0.00000600  0.00008046   0.01951226  0.00000600  0.00008046   0.01951226  0.00000600  0.00008046
0          D           SHIFT       ESD          E           SHIFT       ESD          F           SHIFT       ESD

          0.00000000                           0.00000000                           0.00000000
0



          CELL PARAMETERS WITH ESTIMATED STANDARD DEVIATIONS
0     A                   B                   C                  ALPHA             BETA               GAMMA
     7.1589(  0.0148)    7.1589(  0.0148)    7.1589(  0.0148)    90.000( 0.000)    90.000( 0.000)    90.000( 0.000)
0     A*                  B*                  C*                 ALPHA*            BETA*              GAMMA*
   0.139686(0.000288)  0.139686(0.000288)  0.139686(0.000288)    90.000( 0.000)    90.000( 0.000)    90.000( 0.000)
0                           REAL                CELL VOLUMES        RECIPROCAL
                          366.892( 2.269)                           0.0027256( 0.0000169)
0                                               R FACTORS BEFORE CYCLE   1
       INTERFERENCE FUNCTION NUMBER     1
 PROFILE INTENSITY R (100*SUM[ABS(Y<OBS>-Y<CALC>*SCALE)]/SUM[ABS(Y<OBS>)])                8.14
       INTERFERENCE FUNCTION NUMBER     2
 PROFILE INTENSITY R (100*SUM[ABS(Y<OBS>-Y<CALC>*SCALE)]/SUM[ABS(Y<OBS>)])                5.35


                                         SHIFTS AND NEW PARAMETERS AFTER CYCLE90
0ATOM      X        SHIFT    ESD       Y        SHIFT    ESD       Z        SHIFT    ESD       OCCUP    SHIFT    ESD

 SI1      0.27689  0.00008  0.00009   0.27689  0.00008  0.00009   0.27739  0.00008  0.00009   0.04000
 SI2      0.01313  0.00012  0.00011   0.01313  0.00012  0.00011   0.01313  0.00012  0.00011   0.04000
 O1       0.14394 -0.00009  0.00032   0.14394 -0.00009  0.00032   0.14394 -0.00009  0.00032   0.04000
 O2       0.63778 -0.00018  0.00028   0.66362  0.00000  0.00018   0.06074  0.00005  0.00007   0.12000




                                        ******************
                                        *   PATTERN  1   *
                                        *SiO2-N          *
                                        ******************

      SCALE    SHIFT    ESD             

         61.63567 -0.00600  0.22787
0                UVW    PARAMETERS
           U         SHIFT     ESD     V         SHIFT     ESD     W         SHIFT     ESD
          271493.    -986.   76736.     5000.                     104810.      23.    3735.




                                        ******************
                                        *   PATTERN  2   *
                                        *SiO2-X          *
                                        ******************

      SCALE    SHIFT    ESD             

         48.39873 -0.00395  0.16123
0                UVW    PARAMETERS
           U         SHIFT     ESD     V         SHIFT     ESD     W         SHIFT     ESD
          499963.    3104.   98212.    10000.                     280903.      39.   11327.
0                                                     CELL PARAMETERS
           A           SHIFT       ESD          B           SHIFT       ESD          C           SHIFT       ESD

          0.01938267 -0.00000129  0.00003890   0.01938267 -0.00000129  0.00003890   0.01938267 -0.00000129  0.00003890
0          D           SHIFT       ESD          E           SHIFT       ESD          F           SHIFT       ESD

          0.00000000                           0.00000000                           0.00000000
0



          CELL PARAMETERS WITH ESTIMATED STANDARD DEVIATIONS
0     A                   B                   C                  ALPHA             BETA               GAMMA
     7.1828(  0.0072)    7.1828(  0.0072)    7.1828(  0.0072)    90.000( 0.000)    90.000( 0.000)    90.000( 0.000)
0     A*                  B*                  C*                 ALPHA*            BETA*              GAMMA*
   0.139222(0.000140)  0.139222(0.000140)  0.139222(0.000140)    90.000( 0.000)    90.000( 0.000)    90.000( 0.000)
0                           REAL                CELL VOLUMES        RECIPROCAL
                          370.578( 1.116)                           0.0026985( 0.0000081)
0                                               R FACTORS BEFORE CYCLE  90
       INTERFERENCE FUNCTION NUMBER     1
 PROFILE INTENSITY R (100*SUM[ABS(Y<OBS>-Y<CALC>*SCALE)]/SUM[ABS(Y<OBS>)])                3.40
       INTERFERENCE FUNCTION NUMBER     2
 PROFILE INTENSITY R (100*SUM[ABS(Y<OBS>-Y<CALC>*SCALE)]/SUM[ABS(Y<OBS>)])                2.91


          INTERFERENCE FUNCTION NUMBER  1

1POSITION  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC
      0       0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0
    400       0     0     0     0  2968  2655  3686  3934  4804  5379  6347  6789  7884  7917  8705  8543  8489  8555  7535  7988
    800    6301  7009  5231  5853  4480  4743  3943  3835  3539  3203  3233  2852  3008  2750  2867  2850  2809  3108  2879  3483
   1200    3443  3938  4701  4436  6139  4935  6994  5385  7069  5735  6640  5942  6105  5988  5650  5890  5318  5699  5091  5483
   1600    4928  5303  4811  5191  4733  5143  4692  5129  4688  5115  4719  5076  4783  5013  4875  4942  4992  4885  5129  4865
   2000    5280  4902  5443  5021  5633  5251  5883  5618  6223  6136  6679  6788  7276  7520  8034  8245  8892  8862  9699  9279
   2400   10218  9436 10206  9316  9635  8939  8708  8357  7705  7643  6788  6881  6037  6156  5470  5542  5066  5092  4784  4823
   2800    4586  4714  4448  4713  4352  4751  4285  4769  4238  4728  4206  4623  4183  4479  4167  4332  4162  4225  4178  4190
   3200    4227  4244  4316  4388  4442  4613  4613  4898  4850  5214  5170  5529  5566  5813  6008  6041  6452  6203  6848  6305
   3600    7151  6367  7323  6417  7354  6478  7272  6565  7117  6672  6920  6778  6711  6852  6510  6870  6335  6814  6195  6688
   4000    6086  6509  6006  6306  5950  6109  5916  5948  5900  5840  5900  5793  5913  5803  5935  5853  5966  5925  6002  5999
   4400    6042  6060  6083  6105  6121  6135  6156  6155  6185  6169  6206  6176  6216  6170  6211  6142  6187  6088  6139  6010
   4800    6065  5916  5967  5823  5854  5742  5733  5682  5612  5641  5499  5608  5395  5570  5300  5513  5217  5432  5146  5330
   5200    5088  5221  5045  5120  5021  5045  5016  5009  5036  5016  5080  5066  5148  5152  5243  5265  5367  5397  5518  5543
   5600    5691  5697  5880  5858  6077  6023  6278  6187  6472  6346  6653  6492  6811  6618  6938  6717  7027  6785  7078  6819
   6000    7089  6820  7061  6791  6993  6737  6888  6661  6757  6570  6611  6466  6460  6353  6312  6237  6175  6120  6048  6006
   6400    5932  5901  5829  5808  5738  5731  5659  5670  5593  5626  5538  5598  5495  5584  5464  5580  5444  5583  5435  5590
   6800    5437  5600  5448  5610  5470  5622  5501  5633  5538  5646  5580  5659  5625  5673  5671  5687  5717  5702  5760  5715
   7200    5798  5727  5831  5737  5856  5746  5873  5753  5884  5760  5890  5770  5891  5782  5888  5798  5883  5819  5876  5842
   7600    5869  5867  5862  5890  5857  5910  5854  5923  5853  5929  5855  5927  5860  5919  5869  5908  5882  5896  5898  5888
   8000    5920  5887  5946  5897  5978  5919  6014  5953  6056  5999  6101  6056  6148  6119  6195  6184  6242  6248  6286  6305
   8400    6325  6352  6358  6385  6381  6401  6394  6401  6394  6384  6380  6351  6355  6306  6321  6250  6279  6188  6232  6122
   8800    6181  6056  6128  5992  6072  5932  6016  5876  5960  5826  5904  5782  5849  5743  5797  5709  5747  5679     0     0


          INTERFERENCE FUNCTION NUMBER  2
1POSITION  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC  YOBS YCALC
      0       0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0
    400       0     0     0     0     0     0     0     0     0     0     0     0  3368  2697  3760  3454  4287  4294  4959  5179
    800    5787  6065  6738  6894  7703  7611  8556  8164  9142  8515  9386  8643  9251  8550  8808  8258  8203  7806  7549  7247
   1200    6923  6639  6345  6033  5860  5476  5440  4998  5098  4615  4825  4331  4602  4136  4415  4013  4258  3940  4126  3898
   1600    3987  3868  3845  3839  3712  3804  3578  3762  3471  3716  3418  3671  3414  3632  3458  3603  3538  3589  3639  3590
   2000    3724  3605  3805  3636  3876  3681  3950  3742  4008  3820  4076  3919  4143  4039  4221  4182  4303  4347  4398  4530
   2400    4504  4728  4628  4935  4761  5143  4923  5346  5094  5539  5281  5718  5478  5880  5696  6022  5904  6143  6110  6246
   2800    6312  6331  6482  6403  6664  6468  6794  6531  6930  6600  7044  6682  7156  6783  7271  6904  7394  7044  7533  7197
   3200    7689  7353  7853  7501  7991  7625  8116  7713  8160  7754  8108  7739  7956  7665  7727  7533  7381  7348  6983  7120
   3600    6555  6861  6176  6583  5849  6300  5588  6026  5386  5771  5244  5547  5150  5359  5092  5213  5084  5110  5091  5048
   4000    5112  5022  5144  5026  5182  5052  5222  5090  5259  5133  5293  5174  5312  5205  5325  5224  5324  5227  5309  5216
   4400    5284  5191  5248  5154  5202  5109  5147  5059  5080  5007  5007  4955  4934  4909  4867  4869  4809  4838  4759  4818
   4800    4730  4811  4717  4817  4722  4838  4754  4873  4811  4923  4888  4988  4986  5067  5111  5159  5250  5264  5403  5382
   5200    5556  5509  5707  5645  5847  5787  5975  5931  6086  6073  6179  6209  6261  6335  6325  6445  6377  6537  6423  6608
   5600    6461  6655  6490  6679  6508  6681  6516  6664  6522  6631  6523  6586  6527  6534  6527  6478  6532  6423  6523  6372
   6000    6518  6327  6505  6288  6481  6257  6448  6231  6409  6211  6366  6195  6321  6180  6275  6164  6229  6146  6171  6124
   6400    6107  6096  6050  6063  5993  6023  5939  5977  5886  5925  5834  5869  5787  5809  5730  5748  5695  5686  5659  5625
   6800    5630  5567  5598  5513  5573  5465  5554  5424  5534  5390  5512  5366  5491  5351  5473  5346  5451  5350  5436  5363
   7200    5427  5382  5421  5406  5415  5432  5410  5457  5400  5479  5391  5496  5379  5505  5367  5504  5359  5494  5350  5473
   7600    5329  5444  5309  5407  5295  5365  5279  5320  5261  5275  5251  5233  5232  5197  5213  5168  5195  5149  5194  5140
   8000    5195  5143  5195  5157  5202  5183  5215  5220  5230  5267  5254  5323  5296  5387  5350  5457  5401  5533  5469  5613
   8400    5538  5697  5620  5782  5694  5868  5793  5953  5890  6037  5984  6119  6059  6209  6133  6283  6206  6352  6268  6414
   8800    6335  6469  6398  6517  6457  6556  6500  6586  6542  6608  6566  6621  6578  6625  6589  6621  6596  6610     0     0
0                                               R FACTORS BEFORE CYCLE  91
       INTERFERENCE FUNCTION NUMBER     1
 PROFILE INTENSITY R (100*SUM[ABS(Y<OBS>-Y<CALC>*SCALE)]/SUM[ABS(Y<OBS>)])                3.39
       INTERFERENCE FUNCTION NUMBER     2
 PROFILE INTENSITY R (100*SUM[ABS(Y<OBS>-Y<CALC>*SCALE)]/SUM[ABS(Y<OBS>)])                2.90


    ---------------------------------------------------------------
    ---------------------------------------------------------------
                          CPU TIME NEEDED:
  For the above calculation with ARITVE (90 refinement cycles) on a
  DEC4000 Alpha AXP running Open VMS, the total CPU time was 5 minutes 
  and 50 seconds.

    ---------------------------------------------------------------
    ---------------------------------------------------------------

 ARCAR.PAR  output file obtained after 1 cycle


 SI1 
  1  0.25522  0.25522  0.25572  0.04000
 SI2 
  1 -0.00776 -0.00776 -0.00776  0.04000
 O1  
  2  0.12533  0.12533  0.12533  0.04000
 O2  
  2  0.66016  0.65969  0.06207  0.12000
      61.67587    351787.0      5000.0    106291.8
      48.46439    593292.5     10000.0    280832.2
       7.15890     7.15890     7.15890    90.00000    90.00000    90.00000

    ---------------------------------------------------------------
    ---------------------------------------------------------------

 Part of the  ARCAR.PR1 file  obtained after 1 cycle

    This file is suitable for use as data for a graphical output
           on screen      by the PLOTG.EXE program
                          also able to create a HPGL-type file
                          that will be named GLASS.HGL
                       NO SOURCES GIVEN FOR THESE GRAPHIC PROGRAMS

    Adaptation is easy since the .PR1 file contains:
                          2theta-end  2theta-initial Step
                          number of phase , number of points
                          two unused values
                          All observed S(2t)
                          and then all calculated ones:


  91.600   0.000   0.400
  1  230
    1    1
     0.      0.      0.      0.      0.      0.      0.      0.
     0.      0.      0.      0.   2968.   3686.   4804.   6347.
  7884.   8705.   8489.   7535.   6301.   5231.   4480.   3943.
  3539.   3233.   3008.   2867.   2809.   2879.   3443.   4701.
  ......
  5920.   5946.   5978.   6014.   6056.   6101.   6148.   6195.
  6242.   6286.   6325.   6358.   6381.   6394.   6394.   6380.
  6355.   6321.   6279.   6232.   6181.   6128.   6072.   6016.
  5960.   5904.   5849.   5797.   5747.      0.
     0.      0.      0.      0.      0.      0.      0.      0.
     0.      0.      0.      0.   2496.   3717.   5105.   6471.
  7578.   8211.   8257.   7744.   6827.   5732.   4676.   3808.
  3196.   2842.   2712.   2767.   2976.   3313.   3752.   4257.
  .......
  6444.   6438.   6419.   6386.   6343.   6292.   6235.   6174.
  6114.   6056.   6001.   5953.   5910.   5875.   5845.   5821.
  5802.   5785.   5771.   5757.   5742.   5726.   5709.   5690.
  5671.   5651.   5633.   5618.   5608.      0.
 
    ---------------------------------------------------------------
    ---------------------------------------------------------------



   B- Summary of the sequence of executions

     - Running the test files:

        R ALAZ
        Nom du fichier de donnees:ACAR
        FORTRAN STOP

        R APURIT
        DELTA THETA ??  5

          ...
          NBRE HKL = 2484
        FORTRAN STOP

        RENAME ACAR.HKL APCAR.HKL

        R APREP       
        FICHIER H,K,L ET MULT. ?',$) APCAR
          NBRE DE REFLEXIONS:   2484
          NBRE DE REFLEXIONS?   2480
          NBRE MAX HKL(<12000)? 2200
          FICHIER INTENSITES NUMERO  1  ?  ASIO2N.NOR
          FICHIER INTENSITES NUMERO  2  ?  ASIO2X.NOR
        FORTRAN STOP

        RENAME APCAR.PRE ARCAR.PRE

        R ARITVE
        ARCAR

        R PLOTG
        arcar.pr1   or arcar.pr2

    ---------------------------------------------------------------
    ---------------------------------------------------------------

   C- Strategy
      This part explains how to proceed. A very important point is
      that your interference functions must be accurate and go to as
      large Q as possible, up to the end of modulations. The program
      works with S(2t), t for theta (constant wavelength data), see 
      A.C. Wright, J. Non-Cryst. Solids 123 (1990) 129. If you have
      only one data set (i.e. one neutron pattern, or one X-ray),
      then it would be better if your material is a mono-atomic one...
      The ideal case for a di-atomic material is that you have three
      neutron interference functions with isotopic substitutions
      corresponding to large scattering length variations (however,
      why not adding the X-ray interference function...). Of course,
      the more you have data to fit, the more your model will be
      credible... THE "PERFECT" FIT OF ONE INTERFERENCE FUNCTION IN
      THE CASE OF A POLYATOMIC AMORPHOUS MATERIAL IS NOT SUFFICIENT
      FOR CLAIMING YOUR MODEL IS A POSSIBLE ONE ("PERFECT" meaning
      Rp<1% may be).
       
   C-1- The model
     As the Rietveld method, applied to structure refinement from
     powder diffraction data, ARITVE needs a starting structural model.
     The choice of one or several models belongs to the user's
     responsibility. The source of possible models is, as an
     evidences, to be found in some well known structural data banks
     (ICSD, Cambridge, Pearson's Handbook of Crystallographic Data for
     Intermetallic phases...). It is also an evidence that
     the models have to be chosen among isoformula crystallized
     compounds with atoms behaving similarly in crystal chemistry.
     However, all amorphous materials have not a simple formula as
     "SiO2". Thus sometimes several compositions can be chosen in the
     glass forming domain in order to reproduce exactly the formula of
     crystallized compounds known to coexist in the diagram with the
     amorphous ones. That is to say, for structure modelling of amorphous
     materials, THE STRATEGY MAY BEGIN AT THE SYNTHESIS STAGE.
     Suppose that possible crystalline models exist but with different
     kind of atoms (ex: BeF2 instead of SiO2), then you should modify
     the cell parameters of the model in a proportional way to BE
     COHERENT WITH THE ATOMIC DENSITY OF YOUR AMORPHOUS COMPOUND.

   C-2- An order to respect for parameter refinement:
     Once the model has been chosen and all the files prepared, you cannot
     start by refining all parameters. Do not expect that any case will
     work as well as the test case where all parameters are refined
     together and Rp decreases regularly from 8.14 and 5.35 to 3.39 and
     2.90 respectively for neutron and X-ray data after 90 cycles. If
     you try that directly, the calculation may "explode". Remember that
     the test case is a "good" one...
     First you must choose a set of U V W parameter (in order to broaden
     sufficiently the reflection profiles) and perform some cycles
     refining the scale factors only till stabilization of the Reliability
     factor(s) Rp. If there is not any similitude at this stage between
     the observed and calculated interference function, you have not A
     large chance to succeed. You must have Rp<20 or even 10% at this stage.
     Second: adjust U V and W manually or try to refine U and W with
     V fixed to a low value (corresponding to the resolution function
     of the apparatus). The alternate refinement of U, W and then the cell
     parameters can be attempted (or simultaneous, but this is dangerous
     because they are highly correlated).
     Third, the atomic coordinates together with the scale factor
     should be refined. If some atom has a very low scattering
     length for all the interference functions simultaneously,
     then you should not refine its coordinates.
     One must note that the thermal motion effects are considered as
     included in the disorder effect simulated by the line-width
     variation. 

     The above suggestions may not work because the whole process 
     is very unstable... At all stages it is possible
     to compromise the next step by too much a deviation of one
     parameter or another. With the exception of the scale factors,
     the relaxation factors have to limit heavily the variation of
     the refined parameters. Easy fall down to false minima cannot
     be excluded. Remember that each model will have a Rp limit.
     Process slowly in introducing new refined parameters. Do not
     keep new parameters that led to divergency. However, sometimes
     Rp may increase before to decrease.
     

     When significant changes on the cell parameters have been
     observed, the whole first step (preparation of .hkl and .pre
     files) must be done again to be consistent with the new values. 
    ---------------------------------------------------------------
    ---------------------------------------------------------------

   D- What can be expected from ARITVE
     Rietveld application to amorphous materials should be considered
     as one particular approach to their structure modelization:
     essentially a way to test quickly an idea about the possibility
     that there could be some similitude between the mean organization
     in a given amorphous material and the strict tridimensional one
     of a given crystalline structure.
     This method can be used to eliminate wrong models. The method is
     however insufficient to establish the validity or unicity of a
     model, even if the fit is quite "good".
     In all published applications (see the list of references at the 
     beginning of this guide), "good" fit (say Rp < 3%) could be
     obtained with models that showing a few unrealistic
     distances between some atom-pairs. However, the mean distances for
     particular types of pairs were generally credibles. After all,
     this holds also for other methods of simulating amorphous
     material structures, such as molecular dynamics or model-building
     followed by relaxation or Reverse Monte Carlo.

     With this program I try a lot of models for SiO2 (X-ray + neutron
     data simultaneously fitted) without obtaining a fully 
     satisfying one... The best of the more simple ones is proposed as
     a test of the program, derived from the carnegieite structure.
     A full account of this study on SiO2 could be published one year
     or another.
    ---------------------------------------------------------------
    ---------------------------------------------------------------

   E- How ARITVE could be eventually improved
    For those who are not satisfied by the modest performances
    of ARITVE, some works are suggested:
    The program efficiency would be improved by:

       - Using constraints on distances during refinement, thus
         ensuring the respect of external indications (from EXAFS
         measurements or from well established crystal chemistry). 
       - Grouping all the programs in only one having the space
         groups and diffusion factors in an internal BLOCK DATA.
         The program would perform all the operations in one step,
         with generation of the new hkl list at each cycle following
         the eventual cell parameters variation.  

       - Etc...         
    ---------------------------------------------------------------
    ---------------------------------------------------------------
   
   F- Final recommendations

      - You must not limit yourself to the use of this program, even
        if the results seem satisfying. Try other methods and programs
        as the RMC of McGreevy, molecular dynamics..........

      - Any consequence of using this program and consequence of result
        interpretation should not be considered as depending of the
        program author responsibility.......

      - This program has not been tested extensively, problems may
        occur......

   -----------------------------------------------------------------
   -----------------------------------------------------------------

                     BIBLIOGRAPHY - REFERENCES

      References for the original Rietveld method are:
         H.M. RIETVELD   ACTA CRYST. 22,151-152 (1967)
         H.M. RIETVELD   J. APPLIED CRYST. 2, 65-71 (1969)

      ARITVE was built from the multipattern Rietveld program of:
         M.W THOMAS & P.J. BENDALL  ACTA CRYST. A34, 5351 (1978)

      The original text (in French) describing the principle of
      the ARITVE program and some applications may be found in:
         A. LE BAIL, THESE DE DOCTORAT D'ETAT, LE MANS (1985)

      The method together with an application was first introduced
      at the Thirteenth International Congress of Crystallography, 
      9-18 Aout 1984, Hambourg:
         A. LE BAIL & C. JACOBONI, ACTA CRYST. A40, Suppl. C477 (1984)

      Applications and some discussions on the method can be found in:
         A. LE BAIL, C.JACOBONI & R. DE PAPE, J.DE PHYSIQUE, COLL. C8,
            46, 163-168 (1985)
         A. LE BAIL, C. JACOBONI & R. DE PAPE, MATER. SCI. FORUM 6,
            441-448 (1985)
         M. LEBLANC, G. FEREY, J.M. GRENECHE, A. LE BAIL, F. VARRET,
            R. DE PAPE & J. PANNETIER, J.DE PHYSIQUE, COLL. C8, 46,
            175-179 (1985)
         A. LE BAIL, B. BOULARD & C. JACOBONI, MATER. SCI. FORUM,
            19-20, 127-136 (1987)
         M. MARET, P. CHIEUX, J.M. DUBOIS & A. PASTUREL, J. PHYS.:
            CONDENS. MATTER 3, 2801-2817 (1991)

       The glassy SiO2 modelling is in :
   "Modelling the silica glass structure by the Rietveld method,"
   A. Le Bail, J. Non-Cryst. Solids, in press (1995).

       The parallelism with modelling crystallite size/microstrain
       in Rietveld analysis is described in:
         A. LE BAIL, NIST SPECIAL PUBLICATION 846, 142-153 (1992)

       The method has been cited in some review articles:
         A. C. WRIGHT, J. NON-CRYST. SOLIDS 106, 1-16 (1988)
         A. C. WRIGHT, J. NON-CRYST. SOLIDS 123, 129-148 (1990)
         and may be others...
       In these articles, the method was classified in the same
       group as the reverse Monte Carlo method(s), may be improperly.

       In the first version, a strict tan(theta) dependence constraint
       was applied to the FWHM in order to follow exclusively a
       microstrain effect. However, for d(hkl) > dmin, the FWHM was forced
       to be equal to that calculated for dmin (with dmin near of 1.9
       Angstroem). Otherwise the line profiles became Dirac peaks when 
       tan(theta)--> 0. This was a way to take account of the instrumental
       resolution function and eventually a size effect. 
       The present version gives similar results with a Cagliotti-type
       FWHM variation law expected to take account of all possible 
       effects. This law is the classical one used in Rietveld-type
       refinement. A demonstration that this law is able to model
       microstrain and size effect together with the instrumental
       resolution may be found in:
       R.A. YOUNG & P. DESAI, Arkiwum Nauki o Materialach, 10,
                              71-90 (1989). 


   -----------------------------------------------------------------
   -----------------------------------------------------------------
       In case of use, references that may be cited are :
         A. LE BAIL, ARITVE User Guide, Universite du Maine,
                France (1994).
         or
         "Modelling the silica glass structure by the Rietveld method,"
         A. Le Bail, J. Non-Cryst. Solids, in press (1995).


    ---------------------------------------------------------------
    ---------------------------------------------------------------

    LIST OF CAUSES OF MAJOR PROBLEMS:
    --------------------------------

    -The cell parameters in ACAR.DAT and APCAR.DAT file-types 
     are not EXACTLY the same...... THEY MUST BE EXACTLY THE SAME.

    -The coordinates of the dummy atom in the file for the ALAZ
     program correspond to a special position (they must not).

    -Your data go at too large angle. It would be better if you limit
     them to nearly 90 2-theta. You could work on your whole dataset
     by a regeneration at a shorter wavelength using interpolation. The
     problem may be that to simulate your data at large angle, the 
     addition of the contributing reflexions occuring up to 180 
     degrees 2-theta are unsufficient.

    -U (and may be V or W) is too large and the last reflections are
     contributing yet to many of the last points of your pattern(s).

    -Non-respect of maximal limits of the program:
            3 patterns
            30000 (hkl) per pattern
            12000 overlapping (hkl) at a diffracting angle
            1200  points per pattern
            70 refined parameters
            4 different atom-type in your sample
            .......

    -Lack of experience in refining crystalline structures. It is not
     recommended to study amorphous without a good knowledge of 
     crystalline compounds and of techniques to determine and refine
     structures from single crystal or powder diffraction data.

    -You have not read this guide.
  

    ---------------------------------------------------------------
    ---------------------------------------------------------------

                                 ANNEXE
 
                  INSTALLATION OF ARITVE AND ASSOCIATED
                  PROGRAMS ON A DEC Alpha AXP COMPUTER
                            RUNNING Open-VMS

    -  List of program sources included in the package and short
       definition:

       ALAZ.FOR      first part for hkl generation

       APURIT.FOR    second part for hkl generation
                     these two programs are modified versions
                     of the well known LAZY-PULVERIX program

       APREP.FOR     preparation before refinement

       ARITVE.FOR    refinement


       One program for graphic output is given as .EXE and .FOR,
       however, you should link the PLOTG.FOR program with PLOT10
       and HP7475 libraries (not given...).
           You should create your own programs
           (see explanations above with details on ARCAR.PR1)
                PLOTG.EXE   output on screen (TEK4010) from a .PR1
                             or .PR2 or .PR3 file
                             and creation of a HPGL-type file
                             named GLASS.HGL

    - Compilation on an Alpha-AXP DEC4000 running Open VMS:

      $FORT ALAZ
      $FORT APURIT
      $FORT APREP
      $FORT ARITVE

      $LINK ALAZ
      $LINK APURIT
      $LINK APREP
      $LINK ARITVE


    ---------------------------------------------------------------
    ---------------------------------------------------------------

         GOOD LUCK 

